GRPC C++ 0.10.0.0

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions
GrpcBufferWriter Class Reference

## Public Member Functions
| GrpcBufferWriter (grpc_byte_buffer **bp, int block_size=kMaxBufferLength)
| ~GrpcBufferWriter () GRPC_OVERRIDE
bool | Next (void **data, int *size) GRPC_OVERRIDE
void | BackUp (int count) GRPC_OVERRIDE
grpc::protobuf::int64 | ByteCount () const GRPC_OVERRIDE

## Constructor & Destructor Documentation

GrpcBufferWriter::GrpcBufferWriter | ( | grpc_byte_buffer ** | bp,
|  | int | block_size = `kMaxBufferLength`
| ) |  |
| inline explicit

GrpcBufferWriter::~GrpcBufferWriter | ( |  | ) |
| inline

## Member Function Documentation

void GrpcBufferWriter::BackUp | ( | int | count | ) |
| inline

grpc::protobuf::int64 GrpcBufferWriter::ByteCount | ( |  | ) | const
| inline

bool GrpcBufferWriter::Next | ( | void ** | data,
|  | int * | size
| ) |  |
| inline

The documentation for this class was generated from the following file:

- src/cpp/proto/proto_utils.cc